Embedthis Appweb 4.3.4
Home > Getting Started > Starting and Stopping

# Quick Nav

# See Also

# Starting and Stopping Appweb (Manually)

After installation, Appweb is started automatically as a system service or daemon. You can change this behavior and start Appweb manually if you wish.

This page gives information about starting and stopping Appweb manually. Before you can run Appweb manually, you must first stop it running as a system service. See Running as a service for how to stop Appweb running as a system service.

## Appweb Command Line

The Appweb command line options are:

    appweb [options]

## Appweb Command Options

Option | Description
--- | ---
--config filename | Specify an alternative configuration file instead of appweb.conf.
--chroot directory | Change the system root directory for Appweb. This creates a chroot jail so that the Appweb process cannot access any files outside the given directory.
--debugger | Disable timeouts to make it easier to debug.
--log logSpec | Specify a file to log messages. This will override the ErrorLog directive in the configuration file. The logSpec syntax is logName[:logLevel][.maxSize]. When the maximum size is exceeded, the log file will be rotated to logName.old and a new log file will be started. The log level is a number between 0 and 9 where 0 is the least verbose. The -l option is an alias for --log.
--home directory | Specify the starting directory for the root of the server. This directory contains the Appweb configuration file.
--name uniqueName | Set the program name. Useful to have unique command line names for multiple appweb instances.
--threads | Specify the number of threads to allocate for the appweb thread pool. This overrides the threads configuration file directive.
--verbose | Shorthand for --log stderr:2. The -v option is an alias for --verbose.
--version | Display the appweb version number

## No Config File

Appweb normally reads the "appweb.conf" file for configuration directives. However, if appweb is invoked with an IP address or port number on the command line, Appweb will not read the configuration file. Rather, it will listen for requests on the specified IP:PORT address. Usage:

    appweb [IP]:[PORT] [documents]

For example:

    appweb localhost

If the PORT component is omitted, Appweb will listen on port 80. If the IP address is omitted and a port is supplied, Appweb will listen on all network interfaces. An optional document root directory can be supplied for the location of the web pages.

When Appweb is run without a configuration file, it performs minimal configuration. This configuration cannot be altered. If you need a different setup, use a configuration file.

- Load the auth filter and the cgi, ejs and file handlers.
- Load and configure the net and send connectors.
- Create a /cgi-bin/ location block set to the cgi-bin directory in the server root.

© Embedthis Software LLC, 2003-2013. All rights reserved. Embedthis, Appweb, ESP, Ejscript and Embedthis GoAhead are trademarks of Embedthis Software LLC.